Skip to main content
GET
/
tracker
/
events
/
{id}
curl "https://api2.ecomailapp.cz/tracker/events/1234" \
  -H "key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
$id = 1234;
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/tracker/events/{$id}");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'key: YOUR_API_KEY',
    'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
  "id": 1234,
  "duid": null,
  "email": "foo@bar.cz",
  "category": "ue",
  "action": "Basket",
  "label": "Basket",
  "property": null,
  "value": "{\"data\":{\"data\":{\"action\":\"Basket\",\"products\":[]}}}",
  "timestamp": "2025-03-15T14:30:00.000000Z",
  "campaign_attr": null,
  "pipeline_attr": null
}
{
  "message": "Event not found"
}
id
integer
required
Event ID.
curl "https://api2.ecomailapp.cz/tracker/events/1234" \
  -H "key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
$id = 1234;
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/tracker/events/{$id}");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'key: YOUR_API_KEY',
    'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
  "id": 1234,
  "duid": null,
  "email": "foo@bar.cz",
  "category": "ue",
  "action": "Basket",
  "label": "Basket",
  "property": null,
  "value": "{\"data\":{\"data\":{\"action\":\"Basket\",\"products\":[]}}}",
  "timestamp": "2025-03-15T14:30:00.000000Z",
  "campaign_attr": null,
  "pipeline_attr": null
}
{
  "message": "Event not found"
}